@import "../../../../Resource/Css/base";

.container{
  overflow: hidden;
  border-radius: 16px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.02), 0 3px 6px rgba(0,0,0,0.04);

  :global {
    .ant-card-body {
      padding: 0;
    }

    .ant-card-loading-content{
      padding: 16px;
    }
  }

  .titleContainer{
    width: 100%;
    margin-bottom: 8px;
    text-align: center;
    padding: 8px 0;

    .title{
      font-weight: 800;
      margin: 0;
      line-height: 24px;
      transition: $transitionBase;
    }
  }

  .imageContainer{
    width: 100%;
    aspect-ratio: 1 /1;
    overflow: hidden;
    background: #fff url("../../../../Resource/Image/img-loader.gif") no-repeat center;
    position: relative;
    margin-bottom: 8px;
    display: flex;
    img{
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
      height: 100%;
      max-width: unset;
      z-index: 1;
    }
  }

  &.loading{
    .titleContainer{
      padding: 0 16px;
    }
  }

  &:hover{
    .titleContainer{
      .title{
        color: $yellow-daa43d;
      }
    }
  }
}
